#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidUrl {
    #[builder(into)]
    #[serde(rename = "url")]
    url: String,
}
impl InvalidUrl {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(url: impl Into<String>) -> Self {
        Self::builder().url(url).build()
    }
    #[inline]
    pub fn url(&self) -> &str {
        &*self.url
    }
}
impl conjure_error::ErrorType for InvalidUrl {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "IngestService:InvalidUrl"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["url"]
    }
}
